## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension       just-perfection
%global uuid            %{extension}-desktop@%{extension}

Name:           gnome-shell-extension-%{extension}
Version:        34.0
Release:        %autorelease
Summary:        GNOME Shell extension to change behavior and disable UI elements
License:        GPL-3.0-only
URL:            https://gitlab.gnome.org/jrahmatzadeh/just-perfection
BuildArch:      noarch

Source:         %{url}/-/archive/%{version}/%{extension}-%{version}.tar.gz

BuildRequires:  glib2-devel
BuildRequires:  gettext

Requires:       gnome-shell >= 45
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
%{summary}.


%prep
%autosetup -n %{extension}-%{version}

# fix spurious-executable-perm and script-without-shebang rpmlint warnings/errors
find -type f -print -exec chmod 644 {} \;


%build
glib-compile-resources \
    --sourcedir src/data \
    src/data/resources.gresource.xml


%install
pushd src

# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
cp -r --preserve=timestamps \
    *.js stylesheet.css metadata.json \
    lib data/resources.gresource \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml \
    %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml

popd

# install locale files
pushd po
for po in *.po; do
    install -d -m 0755 %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES
    msgfmt -o %{buildroot}%{_datadir}/locale/${po%.po}/LC_MESSAGES/%{extension}.mo $po
done
popd
%find_lang %{extension}


%files -f %{extension}.lang
%license LICENSE
%doc CHANGELOG.md
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
## START: Generated by rpmautospec
* Wed Feb 19 2025 Carl George <carlwgeorge@fedoraproject.org> - 34.0-1
- Update to version 34.0 rhbz#2335829

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 26 2024 Carl George <carlwgeorge@fedoraproject.org> - 30.0-1
- Update to version 30.0 rhbz#2301926

* Fri Jul 19 2024 Carl George <carlwgeorge@fedoraproject.org> - 29.0-3
- Build and install gresource bundle to fix settings crash rhbz#2298697

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 29.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 08 2024 Carl George <carlwgeorge@fedoraproject.org> - 29.0-1
- Update to version 29.0 rhbz#2296197

* Sat Mar 09 2024 Carl George <carlwgeorge@fedoraproject.org> - 28.0-1
- Update to version 28.0 rhbz#2268265
- Add compatibility with GNOME 46 rhbz#2257755

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 27.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 27.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 14 2023 Carl George <carlwgeorge@fedoraproject.org> - 27.0-1
- Update to version 27, resolves rhbz#2238979

* Thu Sep 14 2023 Carl George <carlwgeorge@fedoraproject.org> - 26.0-2
- Fix version range for gnome-shell requirement

* Fri Aug 11 2023 Carl George <carlwgeorge@fedoraproject.org> - 26.0-1
- Update to version 26.0, resolves rhbz#2229836

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 02 2023 Carl George <carl@george.computer> - 24.0-1
- Update to version 24.0, resolves rhbz#2174579

* Thu Feb 23 2023 Carl George <carl@george.computer> - 23.0^1.3f4d08d-1
- Update to upstream snapshot for GNOME 44 support

* Sat Feb 11 2023 Carl George <carl@george.computer> - 23.0-1
- Update to version 23.0, resolves rhbz#2168927

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 11 2022 Carl George <carl@george.computer> - 22.0-1
- Update to version 22.0, resolves rhbz#2125818

* Sat Aug 27 2022 Carl George <carl@george.computer> - 21.0^1.c6a1c4c-1
- Latest upstream snapshot for GNOME 43 support

* Sat Aug 27 2022 Carl George <carl@george.computer> - 21.0-1
- Latest upstream, resolves rhbz#2116039

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 30 2022 Carl George <carl@george.computer> - 20.0-1
- Latest upstream, resolves rhbz#2102833

* Sun Mar 20 2022 Carl George <carl@george.computer> - 19.0-1
- Update to version 19 (GNOME 42 compatibility)

* Sun Jan 23 2022 Carl George <carl@george.computer> - 16.0^1.241722c-1
- Latest upstream snapshot

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 19 2021 Carl George <carl@george.computer> - 16.0-1
- Initial package
## END: Generated by rpmautospec
